package com.lovenav.dao;

import com.lovenav.entity.CollectIconList;
import org.apache.ibatis.annotations.Mapper;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.stereotype.Repository;

import java.util.List;

//dao
@Repository
@Mapper
public interface CollectIconListDao {
    int deleteByPrimaryKey(Long id);

    int insert(CollectIconList record);

    int insertSelective(CollectIconList record);

    CollectIconList selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(CollectIconList record);

    int updateByPrimaryKey(CollectIconList record);

    List<CollectIconList> selectByUrlid(int urlid);
}